Skip to content
Start Trading

Replace Screener

client.V1.Screener.ReplaceScreener(ctx, screenerID, body) (*V1ScreenerReplaceScreenerResponse, error)
PUT/v1/saved-screeners/{screener_id}

Update a saved screener configuration.

Replaces the screener configuration for the authenticated user. If name is null, the existing name is preserved.

ParametersExpand Collapse
screenerID string
body V1ScreenerReplaceScreenerParams
Columns param.Field[[]FieldRef]Optional

Structured field references to include when running this screener

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
DeprecatedFieldFilter param.Field[[]FieldRef]Optional

Deprecated: use columns instead. Ignored when columns is provided.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Filters param.Field[[]SearchFilter]Optional

Structured search filter criteria

The field to filter on.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Op FilterOpSpecOptional

The operator and optional arguments. Omit together with right for an unenabled filter.

The operator to apply.

One of the following:
const FilterOperatorLessThan FilterOperator = "LESS_THAN"
const FilterOperatorLessOrEqual FilterOperator = "LESS_OR_EQUAL"
const FilterOperatorGreaterThan FilterOperator = "GREATER_THAN"
const FilterOperatorGreaterOrEqual FilterOperator = "GREATER_OR_EQUAL"
const FilterOperatorEqual FilterOperator = "EQUAL"
const FilterOperatorBetween FilterOperator = "BETWEEN"
const FilterOperatorNotBetween FilterOperator = "NOT_BETWEEN"
const FilterOperatorOneOf FilterOperator = "ONE_OF"
const FilterOperatorRegex FilterOperator = "REGEX"
const FilterOperatorBeginsWith FilterOperator = "BEGINS_WITH"
const FilterOperatorEndsWith FilterOperator = "ENDS_WITH"
const FilterOperatorContains FilterOperator = "CONTAINS"
const FilterOperatorIsNull FilterOperator = "IS_NULL"
const FilterOperatorIsNotNull FilterOperator = "IS_NOT_NULL"
Args []OperatorArgOptional

Optional arguments that modify operator behavior.

One of the following:
const OperatorArgLeftInclusive OperatorArg = "LEFT_INCLUSIVE"
const OperatorArgRightInclusive OperatorArg = "RIGHT_INCLUSIVE"
const OperatorArgLeftExclusive OperatorArg = "LEFT_EXCLUSIVE"
const OperatorArgRightExclusive OperatorArg = "RIGHT_EXCLUSIVE"
const OperatorArgCaseInsensitive OperatorArg = "CASE_INSENSITIVE"
Right []FilterValueOptional

The value(s) to compare against. Omit together with op for an unenabled filter.

Value FilterValueValueUnionOptional
One of the following:
float64
string
Variable VariableOptional

A variable reference.

Name string

The variable name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Modifier ModifierOptional

Optional arithmetic modifier.

Args []ModifierArgUnion
One of the following:
float64
string

The modifier operation.

One of the following:
const ModifierOpAdd ModifierOp = "ADD"
const ModifierOpSubtract ModifierOp = "SUBTRACT"
Period FieldPeriodOptional

Optional reporting period.

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
Name param.Field[string]Optional

The name for this screener configuration

Sorts param.Field[[]SortSpec]Optional

Multi-field sort specifications

Field FieldRef

The field to sort by.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Direction SortDirectionOptional

Sort direction (defaults to DESC).

One of the following:
const SortDirectionAsc SortDirection = "ASC"
const SortDirectionDesc SortDirection = "DESC"
ReturnsExpand Collapse
type V1ScreenerReplaceScreenerResponse struct{…}

A saved screener configuration entry

ID string
CreatedAt Time
Filters []SearchFilter

The field to filter on.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Op FilterOpSpecOptional

The operator and optional arguments. Omit together with right for an unenabled filter.

The operator to apply.

One of the following:
const FilterOperatorLessThan FilterOperator = "LESS_THAN"
const FilterOperatorLessOrEqual FilterOperator = "LESS_OR_EQUAL"
const FilterOperatorGreaterThan FilterOperator = "GREATER_THAN"
const FilterOperatorGreaterOrEqual FilterOperator = "GREATER_OR_EQUAL"
const FilterOperatorEqual FilterOperator = "EQUAL"
const FilterOperatorBetween FilterOperator = "BETWEEN"
const FilterOperatorNotBetween FilterOperator = "NOT_BETWEEN"
const FilterOperatorOneOf FilterOperator = "ONE_OF"
const FilterOperatorRegex FilterOperator = "REGEX"
const FilterOperatorBeginsWith FilterOperator = "BEGINS_WITH"
const FilterOperatorEndsWith FilterOperator = "ENDS_WITH"
const FilterOperatorContains FilterOperator = "CONTAINS"
const FilterOperatorIsNull FilterOperator = "IS_NULL"
const FilterOperatorIsNotNull FilterOperator = "IS_NOT_NULL"
Args []OperatorArgOptional

Optional arguments that modify operator behavior.

One of the following:
const OperatorArgLeftInclusive OperatorArg = "LEFT_INCLUSIVE"
const OperatorArgRightInclusive OperatorArg = "RIGHT_INCLUSIVE"
const OperatorArgLeftExclusive OperatorArg = "LEFT_EXCLUSIVE"
const OperatorArgRightExclusive OperatorArg = "RIGHT_EXCLUSIVE"
const OperatorArgCaseInsensitive OperatorArg = "CASE_INSENSITIVE"
Right []FilterValueOptional

The value(s) to compare against. Omit together with op for an unenabled filter.

Value FilterValueValueUnionOptional
One of the following:
float64
string
Variable VariableOptional

A variable reference.

Name string

The variable name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Modifier ModifierOptional

Optional arithmetic modifier.

Args []ModifierArgUnion
One of the following:
float64
string

The modifier operation.

One of the following:
const ModifierOpAdd ModifierOp = "ADD"
const ModifierOpSubtract ModifierOp = "SUBTRACT"
Period FieldPeriodOptional

Optional reporting period.

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
Name string
UpdatedAt Time
Columns []FieldRefOptional

Field references included when running this screener.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
DeprecatedFieldFilter []FieldRefOptional

Deprecated: use columns instead. Mirrors columns.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Sorts []SortSpecOptional
Field FieldRef

The field to sort by.

Name string

The field name.

Lookback FieldLookbackOptional

Optional historical lookback window.

One of the following:
const FieldLookbackOneDay FieldLookback = "ONE_DAY"
const FieldLookbackOneWeek FieldLookback = "ONE_WEEK"
const FieldLookbackOneMonth FieldLookback = "ONE_MONTH"
const FieldLookbackThreeMonths FieldLookback = "THREE_MONTHS"
const FieldLookbackSixMonths FieldLookback = "SIX_MONTHS"
const FieldLookbackYearToDate FieldLookback = "YEAR_TO_DATE"
const FieldLookbackOneYear FieldLookback = "ONE_YEAR"
Period FieldPeriodOptional

Optional reporting period (e.g. quarter or TTM).

One of the following:
const FieldPeriodQuarter FieldPeriod = "QUARTER"
const FieldPeriodTrailingTwelveMonths FieldPeriod = "TRAILING_TWELVE_MONTHS"
ValueType FieldTypeOptional

The data type of the field value. Present only in responses.

One of the following:
const FieldTypeDecimal FieldType = "DECIMAL"
const FieldTypeInteger FieldType = "INTEGER"
const FieldTypeString FieldType = "STRING"
const FieldTypeAnalystRating FieldType = "ANALYST_RATING"
const FieldTypeDate FieldType = "DATE"
Direction SortDirectionOptional

Sort direction (defaults to DESC).

One of the following:
const SortDirectionAsc SortDirection = "ASC"
const SortDirectionDesc SortDirection = "DESC"

Replace Screener

package main

import (
  "context"
  "fmt"

  "github.com/clear-street/clear-street-go"
  "github.com/clear-street/clear-street-go/option"
)

func main() {
  client := clearstreet.NewClient(
    option.WithAPIKey("My API Key"),
  )
  response, err := client.V1.Screener.ReplaceScreener(
    context.TODO(),
    "550e8400-e29b-41d4-a716-446655440000",
    clearstreet.V1ScreenerReplaceScreenerParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
{
  "data": {
    "columns": [
      {
        "name": "symbol"
      },
      {
        "name": "price"
      },
      {
        "name": "market_cap"
      }
    ],
    "created_at": "2026-04-23T13:37:04.041398Z",
    "filters": [
      {
        "left": {
          "name": "market_cap"
        },
        "op": {
          "name": "GREATER_OR_EQUAL"
        },
        "right": [
          {
            "value": 1000000000
          }
        ]
      }
    ],
    "id": "69fcb40a-1812-4856-b2d3-97dec805efee",
    "name": "Tech Large Caps",
    "sorts": [
      {
        "direction": "ASC",
        "field": {
          "name": "market_cap"
        }
      }
    ],
    "updated_at": "2026-04-23T13:37:21.860106Z"
  },
  "metadata": {
    "request_id": "71ac58a8-9b12-49b9-8301-6239febe4e56"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to parse the request body as JSON: trailing comma at line 3 column 1"
  },
  "metadata": {
    "request_id": "b8d191a9-0f76-4867-996e-4845ae01d864"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "2cf7b8b2-f4c7-4db5-a617-b45324352fb7"
  }
}
Returns Examples
{
  "data": {
    "columns": [
      {
        "name": "symbol"
      },
      {
        "name": "price"
      },
      {
        "name": "market_cap"
      }
    ],
    "created_at": "2026-04-23T13:37:04.041398Z",
    "filters": [
      {
        "left": {
          "name": "market_cap"
        },
        "op": {
          "name": "GREATER_OR_EQUAL"
        },
        "right": [
          {
            "value": 1000000000
          }
        ]
      }
    ],
    "id": "69fcb40a-1812-4856-b2d3-97dec805efee",
    "name": "Tech Large Caps",
    "sorts": [
      {
        "direction": "ASC",
        "field": {
          "name": "market_cap"
        }
      }
    ],
    "updated_at": "2026-04-23T13:37:21.860106Z"
  },
  "metadata": {
    "request_id": "71ac58a8-9b12-49b9-8301-6239febe4e56"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to parse the request body as JSON: trailing comma at line 3 column 1"
  },
  "metadata": {
    "request_id": "b8d191a9-0f76-4867-996e-4845ae01d864"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "2cf7b8b2-f4c7-4db5-a617-b45324352fb7"
  }
}